#!/bin/sh
#    Copyright (c) 2005-2008 Romain BONDUE
#    This file is part of RutilT.
#
#    RutilT is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    RutilT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RutilT; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
#
# This script is called by RutilT with 1 argument that MUST be forward to the
# helper, it is the user running the utility UID. This value can be useful
# within this script too to apply different policy for each user. 
# This script is not executed with root privileges.
#

if which gksu > /dev/null 2>&1 ; then
   if test "X$KDE_FULL_SESSION" = "Xtrue" ; then
      if which kdesu > /dev/null 2>&1; then
         exec kdesu "/usr/bin/rutilt_helper $1"
      elif test -x /usr/lib/kde4/libexec/kdesu ; then
         exec /usr/lib/kde4/libexec/kdesu "/usr/bin/rutilt_helper $1"
      fi;
   else
      exec gksu "/usr/bin/rutilt_helper $1"
   fi;
elif which kdesu > /dev/null 2>&1 ; then
    exec kdesu "/usr/bin/rutilt_helper $1"
elif test -x /usr/lib/kde4/libexec/kdesu ; then
    exec /usr/lib/kde4/libexec/kdesu "/usr/bin/rutilt_helper $1"
elif which sux > /dev/null 2>&1 ; then
    exec sux "/usr/bin/rutilt_helper $1"
else
    echo "helper_launcher.sh : Cannot find a launcher."
fi
